### Method

# Hex Document set_byte

#### Declaration

    void
    hex_document_set_byte (
      HexDocument* doc,
      char val,
      gint64 offset,
      gboolean insert,
      gboolean undoable
    )

#### Description

Set a particular byte of a `HexDocument` at position `offset` within the payload.

#### Parameters

`val`

  Type: `char`

  A character to set the byte as.

`offset`

  Type: `gint64`

  Offset in bytes within the payload.

`insert`

  Type: `gboolean`

  `TRUE` if the operation should be insert mode, `FALSE` if in overwrite mode.

`undoable`

  Type: `gboolean`

  Whether the operation should be undoable.